Index: c/src/ChangeLog
===================================================================
--- c/src/ChangeLog	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/ChangeLog	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -1,2 +1,11 @@
+2004-03-31	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* optman/rtems/no-dpmem.c, optman/rtems/no-mp.c,
+	optman/rtems/no-msg.c, optman/rtems/no-part.c,
+	optman/rtems/no-region.c, optman/rtems/no-rtmon.c,
+	optman/rtems/no-sem.c, optman/rtems/no-timer.c,
+	optman/sapi/no-ext.c, optman/sapi/no-io.c: Convert to using c99
+	fixed size types.
+
 2004-03-31	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: c/src/optman/rtems/no-dpmem.c
===================================================================
--- c/src/optman/rtems/no-dpmem.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/rtems/no-dpmem.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -23,5 +23,5 @@
 
 void _Dual_ported_memory_Manager_initialization(
-  unsigned32 maximum_ports
+  uint32_t   maximum_ports
 )
 {
@@ -32,5 +32,5 @@
   void         *internal_start,
   void         *external_start,
-  unsigned32    length,
+  uint32_t      length,
   Objects_Id   *id
 )
Index: c/src/optman/rtems/no-mp.c
===================================================================
--- c/src/optman/rtems/no-mp.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/rtems/no-mp.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -46,5 +46,5 @@
 void _MPCI_Handler_initialization( 
   MPCI_Control            *users_mpci_table,
-  unsigned32               timeout_status
+  uint32_t                 timeout_status
 )
 {
@@ -89,5 +89,5 @@
 
 void _MPCI_Send_process_packet (
-  unsigned32          destination,
+  uint32_t            destination,
   MP_packet_Prefix   *the_packet
 )
@@ -100,6 +100,6 @@
 }
 
-unsigned32 _MPCI_Send_request_packet (
-  unsigned32          destination,
+uint32_t   _MPCI_Send_request_packet (
+  uint32_t            destination,
   MP_packet_Prefix   *the_packet,
   States_Control      extra_state
@@ -115,5 +115,5 @@
 
 void _MPCI_Send_response_packet (
-  unsigned32          destination,
+  uint32_t            destination,
   MP_packet_Prefix   *the_packet
 )
@@ -149,5 +149,5 @@
 
 Thread _MPCI_Receive_server(
-  unsigned32 ignore
+  uint32_t   ignore
 )
 {
Index: c/src/optman/rtems/no-msg.c
===================================================================
--- c/src/optman/rtems/no-msg.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/rtems/no-msg.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -27,5 +27,5 @@
 
 void _Message_queue_Manager_initialization(
-  unsigned32 maximum_message_queues
+  uint32_t   maximum_message_queues
 )
 {
@@ -34,6 +34,6 @@
 rtems_status_code rtems_message_queue_create(
   rtems_name          name,
-  unsigned32          count,
-  unsigned32          max_message_size,
+  uint32_t            count,
+  uint32_t            max_message_size,
   rtems_attribute     attribute_set,
   Objects_Id         *id
@@ -50,5 +50,5 @@
 rtems_status_code rtems_message_queue_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   Objects_Id   *id
 )
@@ -77,5 +77,5 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32            size
+  uint32_t              size
 )
 {
@@ -91,5 +91,5 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32            size
+  uint32_t              size
 )
 {
@@ -105,6 +105,6 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32            size,
-  unsigned32           *count
+  uint32_t              size,
+  uint32_t             *count
 )
 {
@@ -120,6 +120,6 @@
   Objects_Id            id,
   void                 *buffer,
-  unsigned32           *size_p,
-  unsigned32            option_set,
+  uint32_t             *size_p,
+  uint32_t              option_set,
   rtems_interval        timeout
 )
@@ -135,5 +135,5 @@
 rtems_status_code rtems_message_queue_flush(
   Objects_Id  id,
-  unsigned32 *count
+  uint32_t   *count
 )
 {
@@ -146,5 +146,5 @@
 }
 
-unsigned32 _Message_queue_Flush_support(
+uint32_t   _Message_queue_Flush_support(
   Message_queue_Control *the_message_queue
 )
@@ -163,5 +163,5 @@
   rtems_option            option_set,
   void                   *buffer,
-  unsigned32             *size_p
+  uint32_t               *size_p
 )
 {
@@ -179,5 +179,5 @@
   Objects_Id                  id,
   void                       *buffer,
-  unsigned32                  size,
+  uint32_t                    size,
   Message_queue_Submit_types  submit_type
 )
Index: c/src/optman/rtems/no-part.c
===================================================================
--- c/src/optman/rtems/no-part.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/rtems/no-part.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -22,5 +22,5 @@
 
 void _Partition_Manager_initialization(
-  unsigned32 maximum_partitions
+  uint32_t   maximum_partitions
 )
 {
@@ -30,6 +30,6 @@
   rtems_name          name,
   void               *starting_address,
-  unsigned32          length,
-  unsigned32          buffer_size,
+  uint32_t            length,
+  uint32_t            buffer_size,
   rtems_attribute  attribute_set,
   Objects_Id         *id
@@ -46,5 +46,5 @@
 rtems_status_code rtems_partition_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   Objects_Id   *id
 )
Index: c/src/optman/rtems/no-region.c
===================================================================
--- c/src/optman/rtems/no-region.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/rtems/no-region.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -23,5 +23,5 @@
 
 void _Region_Manager_initialization(
-  unsigned32 maximum_regions
+  uint32_t   maximum_regions
 )
 {
@@ -31,6 +31,6 @@
   rtems_name          name,
   void               *starting_address,
-  unsigned32          length,
-  unsigned32          page_size,
+  uint32_t            length,
+  uint32_t            page_size,
   rtems_attribute  attribute_set,
   Objects_Id         *id
@@ -72,5 +72,5 @@
 rtems_status_code rtems_region_get_segment(
   Objects_Id         id,
-  unsigned32         size,
+  uint32_t           size,
   rtems_option    option_set,
   rtems_interval  timeout,
@@ -89,5 +89,5 @@
   Objects_Id         id,
   void              *segment,
-  unsigned32        *size
+  uint32_t          *size
 )
 {
Index: c/src/optman/rtems/no-rtmon.c
===================================================================
--- c/src/optman/rtems/no-rtmon.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/rtems/no-rtmon.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -24,5 +24,5 @@
 
 void _Rate_monotonic_Manager_initialization(
-  unsigned32 maximum_periods
+  uint32_t   maximum_periods
 )
 {
Index: c/src/optman/rtems/no-sem.c
===================================================================
--- c/src/optman/rtems/no-sem.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/rtems/no-sem.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -26,5 +26,5 @@
 
 void _Semaphore_Manager_initialization(
-  unsigned32 maximum_semaphores
+  uint32_t   maximum_semaphores
 )
 {
@@ -33,5 +33,5 @@
 rtems_status_code rtems_semaphore_create(
   rtems_name            name,
-  unsigned32            count,
+  uint32_t              count,
   rtems_attribute       attribute_set,
   rtems_task_priority   priority_ceiling,
@@ -49,5 +49,5 @@
 rtems_status_code rtems_semaphore_ident(
   rtems_name    name,
-  unsigned32    node,
+  uint32_t      node,
   Objects_Id   *id
 )
@@ -75,5 +75,5 @@
 rtems_status_code rtems_semaphore_obtain(
   Objects_Id        id,
-  unsigned32        option_set,
+  uint32_t          option_set,
   rtems_interval timeout
 )
Index: c/src/optman/rtems/no-timer.c
===================================================================
--- c/src/optman/rtems/no-timer.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/rtems/no-timer.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -25,5 +25,5 @@
 
 void _Timer_Manager_initialization(
-  unsigned32 maximum_timers
+  uint32_t   maximum_timers
 )
 {
Index: c/src/optman/sapi/no-ext.c
===================================================================
--- c/src/optman/sapi/no-ext.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/sapi/no-ext.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -22,5 +22,5 @@
 
 void _Extension_Manager_initialization(
-  unsigned32 maximum_extensions
+  uint32_t   maximum_extensions
 )
 {
Index: c/src/optman/sapi/no-io.c
===================================================================
--- c/src/optman/sapi/no-io.c	(revision a2ac7e100a2a3b061e8afe0d15d8867ce4abe63e)
+++ c/src/optman/sapi/no-io.c	(revision c83b5678c9b72f42bb34f7aa2af35ca19c34bd77)
@@ -22,7 +22,7 @@
 void _IO_Manager_initialization(
   rtems_driver_address_table *driver_table,
-  unsigned32                  drivers_in_table,
-  unsigned32                  number_of_drivers,
-  unsigned32                  number_of_devices
+  uint32_t                    drivers_in_table,
+  uint32_t                    number_of_drivers,
+  uint32_t                    number_of_devices
 )
 {
